Subject: No Apple-Talking

From: Carsten Neumann <[email-masked]>
Date: Thu, 28 Dec 2000 20:51:55 +0100

Hi all!

I'm running SuSE 6.3 (kernel: 2.2.13, netatalk: 1.4b2+asun2.1.3-30) on a 500 MHz Athlon.
The other side: Macintosh IIfx, MacOS 7.6.1, OpenTransport 1.1.1, AppleTalk 1.1.1, AppleTalk driver
60.1.1.

Both are connected via Ethernet.

IP works fine between them: ping, telnet, ftp, etc.

netatalk starts up without an error.

dmesg shows a line:
	NET4: AppleTalk 0.18 for Linux NET4.0

In /proc/net the following appletalk files exist:
	appletalk, atalk_iface, atalk_route.

My /etc/services contains the lines:
	#
	# make apple talk more friendly
	#
	rtmp            1/ddp           # Routing Table Maintenance Protocol
	nbp             2/ddp           # Name Binding Protocol
	echo            4/ddp           # AppleTalk Echo Protocol
	zip             6/ddp           # Zone Information Protocol

	#
	# Appletalk
	#
	afpovertcp      548/tcp         # AFP over TCP
	afpovertcp      548/udp         # AFP over UCP

"ifconfig eth0" shows a line:
	EtherTalk Phase 2 addr:65280/162

I can successfully MacPing(tm) the Mac itself and my LocalTalk printer via "LaserWriter Bridge".
The main AppleTalk port is Ethernet.

I can also successfully aecho my linux box itself.

And now my problem:

Both machines don't see each other via AppleTalk:
"Name Binding Protocol" and "AppleTalk Echo Protocol" don't seem to work between them.
When I connect another Mac instead of my linux box AppleTalk works well between the two Macs.

getzones returns an error:
	atp_rresp: Connection timed out
but since I only have one (default) zone: "*", I don't think that this is fatal.

Can anyone please help me: what am I doing wrong?
Thank you.

Kind regards

	Carsten